Subject: Forum activity on: How can I make keyboard shortcuts appear in tooltips for all buttons
From: [email-masked]
To: [email-masked]
Date: Fri, 27 Dec 2024 15:28:23 -0000

Dear Kaylee Johnson,

A post has been edited on the topic "How can I make keyboard shortcuts appear in tooltips for all buttons" by jmoraleda:
---
I am learning Inkscape by going through the tutorials.I find having the keyboard shortcuts appear in tooltips very useful for learning them.My problem is that some tooltips show the keyboard shortcut. But some don't. I have attached a couple of screenshots showing tooltips that show the keyboard shortcut and a couple where they do not. I know that some of those buttons where tooltips do not show a keyboard shortcut do have one. For example "Shift+Y" works to make selected nodes symmetric but "Shift+Y" does not appear in the tooltip, as shown in the attachment.I have tried to figure out what is different in buttons that show tooltips that do and those that don't but I have not found the answer.I am on Linux debian (bookworm) with Inkscape 1.2 installed from the package manager.These are some things I have tried:I have tried searching on google. Found this but it is very old I do not think it is relevant any more (I did not find any option in keys/default.xml that seemed to relevant to whether tooltips were shown in shortcuts. Furthermore my default.xml does not list all the buttons that have tooltips. For example "Make selected nodes symmetric" and companion buttons do not appear there at all, nor in my "keys/inkscape.xml" which has identical content. I have searched to see if the issue was specific to my Linux distribution but it is not. inkscape.xml in the source repository is the same as mine and also does not show "Make selected nodes symmetric" nor all the others.I have also "grepped" for the tooltip "Make selected nodes symmetric" in the source distribuion to see where the tooltip came from and found it in toolbar-node.ui but that file does not at all mention the shortcut "Shift+Y" so I don't know where that shortcut is coming from, or why it does not show in the tooltip.Thank you. 
----
Link: http://www.inkscape.org/forums/questions/how-can-i-make-keyboard-shortcuts-appear-in-tooltips-for-all-buttons/#c76985

All the best,
 Inkscape.org Website

~~~~~~~~~~~~~~~~~~~~~~~~~
Unsubscribe:

If you do no longer want to receive these messages, you can edit your subscriptions and notification settings at http://www.inkscape.org/alerts/settings/.